Name:           kylin-weather
Version:        3.2.0.3
Release:        1
Summary:        Indicator that displays China weather information
License:        GPL-3.0+
URL:            https://gitee.com/openkylin/kylin-weather
Source0:        %{name}-%{version}.tar.gz
Patch01:        0001-fix-compile-error-of-kylin-weather.patch

BuildRequires:  qt5-qtbase-devel
BuildRequires:  qtchooser
BuildRequires:  qt5-qtscript-devel
BuildRequires:  qt5-qttools-devel
BuildRequires:  pkgconf
BuildRequires:  GeoIP-devel
BuildRequires:  libX11-devel
BuildRequires:  gsettings-qt-devel
BuildRequires:  qt5-qtx11extras-devel
BuildRequires:  kf5-kwindowsystem-devel
BuildRequires:  libkysdk-applications-devel
BuildRequires:  libkysdk-base-devel
BuildRequires:  qt5-qtdeclarative-devel
BuildRequires:  libukui-appwidget-manager-devel
BuildRequires:  libukui-appwidget-provider-devel



%description
Kylin Weather displays detail weather information for one place,
including weather forecast and observe weather, and you can
change it.

%prep
%setup -q
%patch01 -p1

%build
mkdir build && pushd build
%{qmake_qt5} ../kylin-weather.pro
%{make_build}
popd


%install
pushd build
rm -rf $RPM_BUILD_ROOT
make INSTALL_ROOT=%{buildroot} install
popd

%clean
rm -rf $RPM_BUILD_ROOT

%post
glib-compile-schemas /usr/share/glib-2.0/schemas &> /dev/null ||:
indicatorPath="/etc/xdg/autostart/indicator-china-weather.desktop"
if [ ! -d "$indicatorPath" ]; then
    rm -f "$indicatorPath"
fi

%files
%{_sysconfdir}/xdg/autostart/kylin-weather.desktop
%{_bindir}/kylin-weather
%{_datadir}/applications/kylin-weather.desktop
%{_datadir}/glib-2.0/schemas/org.kylin.weather.gschema.xml
%{_datadir}/glib-2.0/schemas/org.ukui.log4qt.kylin-weather.gschema.xml
%{_datadir}/kylin-weather/translations
%{_datadir}/kylin-user-guide/*

%changelog
* Wed Apr 10 2024 peijiankang <peijiankang@kylinos.cn> - 3.2.0.3-1
- update version to 3.2.0.3 from openkylin

* Sat Nov 25 2023 hua_yadong <huayadong@kylinos.cn> - 3.1.2-3
- add 0001-fix-coredump-of-kylin-weather.patch

* Tue May 30 2023 peijiankang <peijiankang@kylinos.cn> - 3.1.2-2
- fix install warining

* Mon Jan 30 2023 peijiankang <peijiankang@kylinos.cn> - 3.1.2-1
- Init Package for openEuler

